| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::WorkflowManager Class Reference
Inheritance diagram for Digikam::WorkflowManager:

## Signals
void | signalQueueSettingsAdded (const QString &)
void | signalQueueSettingsRemoved (const QString &)

## Public Member Functions
void | clear ()
Workflow | findByTitle (const QString &title) const
void | insert (const Workflow &q)
bool | load (QStringList &failed)
| Load all Workflow from XML settings file.
QList< Workflow > | queueSettingsList () const
void | remove (const Workflow &q)
bool | save ()
| Save all Workflow to XML settings file.

## Static Public Member Functions
static WorkflowManager * | instance ()

## Member Function Documentation

## ◆ load()

bool Digikam::WorkflowManager::load | ( | QStringList & | failed | ) |

Fill 'failed' list with incompatible Workflow title/description not loaded.